Subject: Ticket Assigned - Worst delivery and pick-up services
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 05 May 2022 06:36:32 +0000

Hi Athar Mubark,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Worst delivery and pick-up services Hi
I was requested for a return but the delivery guy didn’t come as of now and
the return request was done 10 days ago no response from any of your
executives.
This was the order number 9567052099
And the address is Saheer Thaikat, Villa 13, Street 52, Al barsha south 2,
Dubai.
When I complaint to the customer service through the whatspp they are
always saying “ please accept our sincere apologies for this unexpected
delay. we will escalate this issue to our concerned team to collect your
order asap” So I don’t need any excuses from there it was 10 or more days
ago the products was return requested. No response, No pick up, No refund…
so I need compensation against the foolish response and 10days delay of the
return. Now onwards I will never purchase from your online stores….

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4312167